Class OslcQuery


  • @Deprecated
    public class OslcQuery
    extends Object
    Deprecated.
    Represents an OSLC query (HTTP GET) request to be made of a remote system. Immutable.
    • Constructor Detail

      • OslcQuery

        public OslcQuery​(OslcClient oslcClient,
                         String capabilityUrl)
        Deprecated.
        Create an OSLC query that uses the remote system's default page size.
        Parameters:
        oslcClient - the authenticated OSLC client
        capabilityUrl - the URL that is the base
      • OslcQuery

        public OslcQuery​(OslcClient oslcClient,
                         String capabilityUrl,
                         OslcQueryParameters oslcQueryParams)
        Deprecated.
        Create an OSLC query with query parameters that uses the default page size
        Parameters:
        oslcClient - the authenticated OSLC client
        capabilityUrl - capabilityUrl the URL that is the base
        oslcQueryParams - an OslcQueryParameters object
        See Also:
        OslcQueryParameters
      • OslcQuery

        public OslcQuery​(OslcClient oslcClient,
                         String capabilityUrl,
                         int pageSize)
        Deprecated.
        Create an OSLC query that uses the given page size
        Parameters:
        oslcClient - the authenticated OSLC client
        capabilityUrl - the URL that is the base
        pageSize - the number of results to include on each page (OslcQueryResult)
      • OslcQuery

        public OslcQuery​(OslcClient oslcClient,
                         String capabilityUrl,
                         int pageSize,
                         OslcQueryParameters oslcQueryParams)
        Deprecated.
        Create an OSLC query that uses OSLC query parameters and the given page size
        Parameters:
        oslcClient - the authenticated OSLC client
        capabilityUrl - the URL that is the base
        pageSize - the number of results to include on each page (OslcQueryResult)
        oslcQueryParams - an OslcQueryParameters object
        See Also:
        OslcQueryParameters
    • Method Detail

      • getPageSize

        public int getPageSize()
        Deprecated.
        Returns:
        the number of entries to return for each page, if zero, the remote system's (or full query's) default is used
      • getCapabilityUrl

        public String getCapabilityUrl()
        Deprecated.
        Returns:
        the base query capability URL
      • getQueryUrl

        public String getQueryUrl()
        Deprecated.
        Returns:
        the complete query URL